kio-gdrive (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:26:59 +0200

kio-gdrive (24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Update old FSF mailing address to use
    <https://www.gnu.org/licenses/>, as all up-to-date copies of the LGPL-2.1+
    do.
  * Declare Standards-Version: 4.7.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Sat, 12 Apr 2025 15:33:25 -0400

kio-gdrive (24.12.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable (Closes: #1088980).

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 23:20:56 +0100

kio-gdrive (24.12.0-1) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Dec 2024 21:11:51 +0100

kio-gdrive (24.08.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 29 Aug 2024 17:39:05 -0400

kio-gdrive (24.05.2-1~exp1) experimental; urgency=medium

  * New upstream release: 24.05.2.
  * Migrate to Qt6 and KDE Frameworks6.
  * Switch to new dh-sequence-kf6.
  * Override dh_auto_configure and force Qt6 build to work around #1076569.
  * Add new build-dep: libkgapi-dev.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 29 Jul 2024 14:21:26 -0400

kio-gdrive (23.08.5-1) unstable; urgency=medium

  * New upstream release (at this time 24.02.2 is actually the newest upstream
    release; however, we haven't yet transitioned to KF6 and Plasma 6, so it's
    not yet possible to use it).
  * Add libkf5purpose-dev to build-deps, because this "Enables the Share menu
    plugin."
  * Migrate from obsolete B-D pkg-config to pkgconf.
  * Declare Standards-Version: 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 17 May 2024 21:41:55 -0400

kio-gdrive (23.04.3-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 21 Jul 2023 17:59:30 -0400

kio-gdrive (23.04.2-1) unstable; urgency=medium

  * New upstream release.
  * Synchronise Build-Depends with upstream CMakeLists.txt:
    - The minimum required version of Qt is now 5.15.2.
    - The minimum required version of KDE Frameworks is now 5.96.0.
  * Update copyright, add new copyright holders as well as new LGPL-2.1+
    section.
  * Update my copyright years.
  * Declare Standards-Version: 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Wed, 14 Jun 2023 17:44:34 -0400

kio-gdrive (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:16 +0100

kio-gdrive (22.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 11 Feb 2023 19:56:30 -0500

kio-gdrive (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:04:26 +0100

kio-gdrive (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:31 +0100

kio-gdrive (22.08.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream release.
  * Declare Standards-Version: 4.6.1 (no changes required).

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 15 Nov 2022 19:52:08 -0500

kio-gdrive (22.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop Norbert Preining from Uploaders on his request.
  * Update my copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 23 Sep 2022 18:51:30 -0400

kio-gdrive (22.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Synchronise Build-Depends with upstream CMakelists.txt:
    - Minimum supported cmake is now 3.16.
    - Minimum supported Qt is now 5.15.0.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 10 Jul 2022 15:59:00 -0400

kio-gdrive (22.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 11 Jun 2022 16:30:41 -0400

kio-gdrive (22.04.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 13 May 2022 06:57:25 -0400

kio-gdrive (22.04.0-1) unstable; urgency=medium

  * New upstream release (22.04.0).

 -- Nicholas D Steeves <sten@debian.org>  Sun, 01 May 2022 15:42:49 -0400

kio-gdrive (21.12.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream release (21.12.2).
  * Declare Standards-Version: 4.6.0 (no changes required).

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:55:01 +0100

kio-gdrive (21.08.2-1) unstable; urgency=medium

  * New upstream release (21.08.2).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 11 Oct 2021 21:16:32 -0400

kio-gdrive (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:14:34 +0900

kio-gdrive (21.04.0-2) experimental; urgency=medium

  * Team upload.
  * Rebuild against 21.04 KDE PIM libs.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 May 2021 15:20:15 +0200

kio-gdrive (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update upstream signing key.
  * New upstream release (21.04.0).
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 11:19:05 +0900

kio-gdrive (20.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address and copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 11 Feb 2021 16:52:41 -0500

kio-gdrive (20.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release 20.12.1.
  * Add copyright entry for David Barchiesi that is missing in the
    20.12.0-1 release.
  * Indent copyright holders for debian/* to make this section more readable
    to humans.
  * Activate DEB_BUILD_MAINT_OPTIONS=hardening=+all.
  * Add stanza for gdrive_udsentry.h and gdrivepropertiesplugin.* that is
    missing in the 20.12.0-1 release.  See the Comment field for this stanza
    in copyright for more information.

  [ Aurélien COUDERC ]
  * Point Source in debian/copyright to the upstream git repo.
  * Refresh upstream metadata.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 14 Jan 2021 23:27:44 +0100

kio-gdrive (20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release.
  * Adjust watch file to use the new release service.
  * Replace existing signing-key.asc with the copy used by
    kaccounts-providers.
  * Synchronise Build-Depends with upstream CMakelists.txt:
    - Minimum supported Frameworks is now 5.71.0.
  * Declare Standards-Version: 4.5.1. (no changes required)

  [ Pino Toscano ]
  * New upstream release.
  * Remove unused dversionmangle in watch file.
  * Update references to the upstream Git repository.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update Vcs-* fields.
  * Add license text for CC0-1.0 in copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 16 Dec 2020 12:54:25 +0100

kio-gdrive (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Fix missing epoch in the version of the libkaccounts-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 23:03:06 +0200

kio-gdrive (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release. (Closes: #948207)
  * Add copyright info for desktop/org.kde.kio-gdrive.appdata.xml.
  * Update my copyright years.
  * Synchronise Build-Depends with upstream CMakeLists.txt:
    - Minimum supported Frameworks are now 5.48.0.
    - Minimum supported KAccounts is now 20.03.80.
  * rules: Drop 'DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed', because it is
    now activated by default.

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 22:17:34 +0200

kio-gdrive (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - kio-gdrive-1.2.6_translations.patch: drop, backported from upstream
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Nov 2019 07:59:10 +0100

kio-gdrive (1.2.5+fixedtarball-2) unstable; urgency=medium

  * Add kio-gdrive-1.2.6_translations.patch.
    Upstream's v1.2.6 release is v1.2.5 plus this patch.  ISO language
    codes for the enhanced translations are "zh-CN", "zh-TW", and "id".

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 16 Jun 2019 16:37:28 -0400

kio-gdrive (1.2.5+fixedtarball-1) unstable; urgency=medium

  * Restore missing translations. (Closes: #915496)
    - Previous release was accidentally built from git tag rather than from
      upstream tarball.  This release uses the correct orig tarball.
  * Add dversionmangle to watch file.
  * Declare Standards-Version: 4.3.0. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 12 Jan 2019 14:15:46 -0700

kio-gdrive (1.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Drop patches that were merged into this upstream release:
    - 0001-appstream-don-t-use-hyphen-in-the-component-id.patch
    - 0002-Add-screenshot-to-gdrive.appdata.xml.patch
  * debian/copyright: Update Elvis Angelaccio's email address to reflect
    updates that were made upstream.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 01 Dec 2018 19:54:03 -0500

kio-gdrive (1.2.4-2) unstable; urgency=medium

  * Import upstream patch to fix appstream validation warning.
    - 0001-appstream-don-t-use-hyphen-in-the-component-id.patch
  * Import upstream patch to add screenshot to gdrive.appdata.xml.
    - 0002-Add-screenshot-to-gdrive.appdata.xml.patch
  * Install upstream's README.md, because it documents known issues and
    provides a link to kio-gdrive's TODO task tracker.
  * Declare Standards-Version: 4.2.1. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 03 Oct 2018 16:19:47 -0400

kio-gdrive (1.2.4-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream version.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Jul 2018 18:35:22 +0200

kio-gdrive (1.2.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream version.  This release includes a full-text copy of the
    GPL-3+ used by cmake/modules/FindIntltool.cmake (Closes: #895706)

  [ Pino Toscano ]
  * Remove debian/gbp.conf, as the packaging repository does not use
    git buildpackage.
  * Replace the transitional build dependencies:
    - kio-dev -> libkf5kio-dev
  * Link in as-needed mode.
  * Update Vcs-* fields.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 19 May 2018 17:57:20 -0400

kio-gdrive (1.2.2-1) unstable; urgency=medium

  * Import Neon packaging version 1.2.1-0neon. (Closes: #884337)
  * New upstream version.
  * Update copyright.  Thanks to Sandro Knauß for the review.
  * debian/copyright: Use secure URL for Source.
  * Declare compat level 11.
  * debian/control:
    - Update maintainer and uploader fields.
    - Drop Ubuntu(and derivatives)-specific XSBC-Original-Maintainer.
    - Switch to debhelper 11.
    - Update upstream homepage URL.
    - Add missing Build-Depends to fix FTBS (libkf5doctools-dev,
      appstream, libkf5notifications-dev, and intltool).
    - Update Build-Depends from CMakeLists.txt.
    - Drop libqt5webengine5 from Depends.
    - Promote kaccounts-integration from Recommends to Depends, because
      the package does not appear to function without it.
    - Bump pkg-kde-tools dep to the probable 1st version --with kf5.
  * Drop empty kio-gdrive.install.
  * Add gbp.conf.
  * Drop kio-gdrive.lintian-overrides because it is an unused-override.
  * Update Vcs links to use salsa, and use canonical Vcs names.
  * debian/rules:
    - Remove extra whitespace.
    - Switch from including debian-qt-kde.mk to --with kf5 sequence
  * Update watch file to use https and qt-kde-team preferred format.
  * Add DEP 12 upstream metadata.
  * Declare Standards-Version: 4.1.4.
  * Drop qt5keychain-dev from Build-Deps.
  * Add README.source and drop comments from debian/control.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 09 Apr 2018 14:56:37 -0400
